
Redmine - Defect #11728

Macros should be rendered or stripped before render to PDF

2012-08-28 16:20 - Carlos Peñas

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.3

Description

For text maybe but for render as PDF it makes no sense to have a "{{>TOC}}" at the begining of the PDF document.

I think the quick and dirty solution should be to strip all things which smells like a macro before render the page as PDF. But perhaps

it's possible to inform to the macro about the rendering and let it to provide an alternate PDF content

Related issues:

Is duplicate of Redmine - Defect #9842: {{toc}} is not replaced by table of c... Closed

History

#1 - 2012-08-28 17:50 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #9842

#2 - 2012-08-29 10:18 - Carlos Peñas

Toshi MARUYAMA wrote:

Duplicate with #9842

 Well it happens with any macro indeed. "{{toc}}" was only an example, And I did not dare to change title or description of issue #9842.
